Package org.eclipse.gef.handles

# Class CornerTriangleBorder

java.lang.Object
org.eclipse.draw2d.AbstractBorder
org.eclipse.gef.handles.CornerTriangleBorder

All Implemented Interfaces:
  `org.eclipse.draw2d.Border`

@Deprecated public final class CornerTriangleBorder extends org.eclipse.draw2d.AbstractBorder
Deprecated.
this class is no longer used
A `Border` with a triangle in each corner.

## Field Summary

### Fields inherited from class org.eclipse.draw2d.AbstractBorder

`tempRect`

## Constructor Summary

Constructors
Constructor
Description
`CornerTriangleBorder(boolean isPrimary)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected Color`
`getBorderColor()`
Deprecated.
`protected Color`
`getFillColor()`
Deprecated.
`org.eclipse.draw2d.geometry.Insets`
`getInsets(org.eclipse.draw2d.IFigure figure)`
Deprecated.
`boolean`
`isOpaque()`
Deprecated.
`boolean`
`isPrimary()`
Deprecated.
`void`
`paint(org.eclipse.draw2d.IFigure figure, org.eclipse.draw2d.Graphics graphics, org.eclipse.draw2d.geometry.Insets insets)`
Deprecated.
`void`
`setPrimary(boolean isPrimary)`
Deprecated.

### Methods inherited from class org.eclipse.draw2d.AbstractBorder

`getPaintRectangle, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CornerTriangleBorder

@Deprecated public CornerTriangleBorder(boolean isPrimary)
Deprecated.
Creates a new `CornerTriangleBorder`.

Parameters:
  `isPrimary` - Determines this border's color.

## Method Details

### isOpaque

@Deprecated public boolean isOpaque()
Deprecated.
Returns `true`.

Specified by:
  `isOpaque` in interface `org.eclipse.draw2d.Border`
Overrides:
  `isOpaque` in class `org.eclipse.draw2d.AbstractBorder`
See Also:
  - `Border.isOpaque()`

### getInsets

@Deprecated public org.eclipse.draw2d.geometry.Insets getInsets(org.eclipse.draw2d.IFigure figure)
Deprecated.

See Also:
  - `Border.getInsets(org.eclipse.draw2d.IFigure)`

### paint

@Deprecated public void paint(org.eclipse.draw2d.IFigure figure, org.eclipse.draw2d.Graphics graphics, org.eclipse.draw2d.geometry.Insets insets)
Deprecated.
Paints the border. If this is a border for the primary selection, it's painted black. Otherwise, it's painted white.

Parameters:
  `figure` - The `IFigure` this border will be painted on
  `graphics` - The `Graphics`.
  `insets` - The `Insets`.

### getBorderColor

@Deprecated protected Color getBorderColor()
Deprecated.
Returns the outline color based on what is returned by `isPrimary()`.

Returns:
  The outline color.

### getFillColor

@Deprecated protected Color getFillColor()
Deprecated.
Returns the fill color based on what is returned by `isPrimary()`.

Returns:
  The fill color.

### isPrimary

@Deprecated public boolean isPrimary()
Deprecated.
Returns `true` if this border is for the primary object in the selection. Otherwise, returns `false`.

Returns:
  Whether or not this is a primary border.

### setPrimary

@Deprecated public void setPrimary(boolean isPrimary)
Deprecated.
Sets this border as primary if `isPrimary` is `true`.

Parameters:
  `isPrimary` - True if this border is for the primary object in the selection.